Bug 1116086 - [GSS](6.4.z) Unable to identify what triggered JBoss Log shutdown
Summary: [GSS](6.4.z) Unable to identify what triggered JBoss Log shutdown
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Microcontainer and Deployers
Version: 6.2.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: CR1
: EAP 6.4.11
Assignee: Peter Palaga
QA Contact: Jiri Truhlar
eap-docs
URL:
Whiteboard:
: 1328673 (view as bug list)
Depends On:
Blocks: eap6411-payload
TreeView+ depends on / blocked
 
Reported: 2014-07-03 17:26 UTC by dereed
Modified: 2019-05-20 11:13 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 13:10:28 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 58782 None None None 2017-03-02 22:45:45 UTC
Red Hat One Jira Issue Tracker JBEAP-6101 Major Verified [GSS](7.0.z) Different shutdown messages depending on reason for shutdown 2018-12-31 11:14:49 UTC

Description dereed 2014-07-03 17:26:50 UTC
Description of problem:

When EAP 6 is shutdown, there is no logging indicating what triggered the shutdown.

This is a problem when the shutdown is not expected, as there are no clues
to help debug what caused EAP to shutdown.

In EAP 5 different shutdown triggers caused different logging:
https://access.redhat.com/solutions/58782

We need the equivalent (or better) in EAP 6 to debug these cases.

Cases that need to be covered:
- OS signal (preferably with which signal it is)
- Explicit shutdown (preferably with the source -- CLI, admin console, etc. and the account)
    This may already be available with audit logging?  But should always be logged even if audit logging is not enabled.
- System.exit()

Comment 2 Brian Stansberry 2014-07-07 13:51:42 UTC
Note that AFAIK there was no special handling in EAP < 6 for System.exit(), beyond the lack of logs. I don't expect there would be in EAP 6 either. Logging when the shutdown handler is invoked or when a management op requests shutdown is more feasible.

Details about who invoked the management op or the interface they came in from are provided via audit logging. I don't expect we'll provide them otherwise as that would involve exposing sensitive information to types of code that otherwise wouldn't/shouldn't have access. If that proves not to be the case we'll consider it.

Comment 3 James Livingston 2014-07-14 01:22:10 UTC
In domain mode, the PC logs will also give you some information for signals. High exit codes indicate a signal of id n-128 or n-127 (I can't remember which off the top of my head).

Comment 10 Brad Maxwell 2016-08-24 02:27:05 UTC
Closed as it is an RFE, opened RFE for EAP 7 consideration

Comment 14 Peter Palaga 2016-09-09 09:34:46 UTC
PR sent https://github.com/jbossas/jboss-eap/pull/2839 that consists backports of both WFCORE-1498 and WFCORE-1686 and supersedes the older Fedor's PR https://github.com/jbossas/jboss-eap/pull/2776

Comment 16 Peter Mackay 2016-10-03 14:20:20 UTC
Verified with EAP 6.4.11.CP.CR1

Comment 17 Petr Penicka 2017-01-17 13:10:28 UTC
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.

Comment 18 Brad Maxwell 2017-02-26 04:37:42 UTC
*** Bug 1328673 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.